PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Dynamic_Hold | ( |  | ) |

PLASMA_Dynamic_Hold - In the context of applications using both Plasma calls and personal tasks submission to the Quark runtime, this function waits for the termination of all tasks submitted to Quark, and make sure that all the working threads exited the Quark context. This way, they are kept idle in the Plasma nonbusy waiting barrier, instead of looking for taks. This is usefull when the application want to alternate quark and OpenMP sections for example, or alternate between multiple Plasma contexts whith their own threads.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  PLASMA_ERR_NOT_INITIALIZED | if Plasma is not initialized